#### PyKDE - Python Bindings for KDE

# class KWin.Info |
Table of contents
Modules
kdecore Classes
All Classes

Module | kdecore
Class | KWin.Info
Inherits |

### methods

- isIconified ()

  returns (bool)

- isMinimized ()

  returns (bool)
  In versions KDE 3.2.0 and above only

- visibleNameWithState ()

  returns (QString)

### variables

- variables

  Variable | Type
  --- | ---
  desktop | int
  frameGeometry | QRect
  geometry | QRect
  mappingState | NET::MappingState
  name | QString
  onAllDesktops | bool
  pid | pid_t
  state | ulong
  strut | NETStrut
  visibleName | QString
  win | WId
  windowType | NET::WindowType